Stickers extension Update settings
curl --request PUT \
--url https://apimgmt.cometchat.io/apps/{appId}/extensions/stickers/v1/settings \
--header 'Content-Type: application/json' \
--header 'key: <key>' \
--header 'secret: <secret>' \
--data '
{
"appId": "appId_1234",
"defaultMasterStickersData": [
{
"enableFlag": false,
"id": "1",
"stickerName": "US Phone numbers",
"stickerOrder": "",
"stickerSetId": "sticker_1234",
"stickerSetName": "good_Sticker",
"stickerSetOrder": 1,
"stickerUrl": "https://data-us.cometchat.io/stickers/littledyno/litt_14.png"
}
],
"customStickersData": [
{
"appId": "appId1234",
"enableFlag": true,
"stickerName": "goodSticker",
"stickerOrder": 1,
"stickerSetId": "stickerSetId1234",
"stickerSetOrder": 1,
"stickerSetName": "stickerSetName",
"stickerUrl": "https://mysite.com/some_sticker.png",
"id": ""
}
]
}
'import requests
url = "https://apimgmt.cometchat.io/apps/{appId}/extensions/stickers/v1/settings"
payload = {
"appId": "appId_1234",
"defaultMasterStickersData": [
{
"enableFlag": False,
"id": "1",
"stickerName": "US Phone numbers",
"stickerOrder": "",
"stickerSetId": "sticker_1234",
"stickerSetName": "good_Sticker",
"stickerSetOrder": 1,
"stickerUrl": "https://data-us.cometchat.io/stickers/littledyno/litt_14.png"
}
],
"customStickersData": [
{
"appId": "appId1234",
"enableFlag": True,
"stickerName": "goodSticker",
"stickerOrder": 1,
"stickerSetId": "stickerSetId1234",
"stickerSetOrder": 1,
"stickerSetName": "stickerSetName",
"stickerUrl": "https://mysite.com/some_sticker.png",
"id": ""
}
]
}
headers = {
"key": "<key>",
"secret": "<secret>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {key: '<key>', secret: '<secret>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appId: 'appId_1234',
defaultMasterStickersData: [
{
enableFlag: false,
id: '1',
stickerName: 'US Phone numbers',
stickerOrder: '',
stickerSetId: 'sticker_1234',
stickerSetName: 'good_Sticker',
stickerSetOrder: 1,
stickerUrl: 'https://data-us.cometchat.io/stickers/littledyno/litt_14.png'
}
],
customStickersData: [
{
appId: 'appId1234',
enableFlag: true,
stickerName: 'goodSticker',
stickerOrder: 1,
stickerSetId: 'stickerSetId1234',
stickerSetOrder: 1,
stickerSetName: 'stickerSetName',
stickerUrl: 'https://mysite.com/some_sticker.png',
id: ''
}
]
})
};
fetch('https://apimgmt.cometchat.io/apps/{appId}/extensions/stickers/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"statusCode": 200,
"success": true,
"responseTime": 3.061743974685669,
"body": {
"data": {
"success": true
}
}
}
}Extensions
Stickers extension Update settings
Stickers extension : Update the settings for Stickers extension.
PUT
/
apps
/
{appId}
/
extensions
/
stickers
/
v1
/
settings
Stickers extension Update settings
For the complete error reference, see Error Guide.
Path Parameters
AppID in which the extension has to be enabled/disabled
Body
application/json
Response
200 - application/json
Update Data Masking Settings
Show child attributes
Show child attributes
Was this page helpful?
⌘I